Announcement Announcement Module
Collapse
No announcement yet.
Why doesn't Roo (1.2.2) use Hibernate 4 instead of 3.6.9.Final? Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Why doesn't Roo (1.2.2) use Hibernate 4 instead of 3.6.9.Final?

    Hello,

    I had a problem with a count query that I've solved by updating the maven dependency from 3.6.9.Final to 4.1.3.Final

    So I wonder why doesn't Spring Roo use the last release instead of a previous version.

    Well, I read some complaints about Hibernate 4, and I'm not sure of the version of JDK that H4 requires. Maybe those are some of the reasons.

    Thank you very much.

  • #2
    I have used count query many times -without any problem- with non H4 releases...
    I might be wrong but don't think that is the problem.

    Anyway. What are the H4 complaints that you are referring to?

    Thank you!
    jD @ http://pragmatikroo.blogspot.com/?view=timeslide

    Comment


    • #3
      Thanks for the response.

      The problem is a count for an entity with a composite key. Hibernate translates "select count(o) from Entidad o" as select(o.id1, o.id2) from t_Entidad o" (you imagine the JPA Entity )

      It doesn't work in some databases (DB2 Z/OS, mysql in windows)

      Regarding the Hibernate 4 complaints, I don't rember right now a concrete example, maybe it was the typical rants when a new big release appears.

      Comment

      Working...
      X